CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
HumanMetadataField Class Reference

Given a metadata field, this class prints human-readable values for each value of the field. More...

## Public Member Functions
| __construct (MetadataField $Field)
| Save the field that will be used to generate the human-readable values.
| Status ()
| Get the human-readable error status of the field.
| Type ()
| Get the human-readable field type of the field.
| TypeAsName ()
| Get the human-readable field type of the field.
| GetDisplayName ()
| Get the human-readable display name of the field.
| Name ()
| Get the human-readable name of the field.
| Label ()
| Get the human-readable label of the field.
| GetAllowedConversionTypes ()
| Get the human-readable allowed conversion types of the field.
| IsTempItem ()
| Get the human-readable string that indicates if the field is a temporary field.
| Id ()
| Get the human-readable field ID.
| DBFieldName ()
| Get the human-readable database field name of the field.
| Description ()
| Get the human-readable description of the field.
| Instructions ()
| Get the human-readable instructions of the field.
| Owner ()
| Get the human-readable field owner.
| RequiredBySPT ()
| Get the human-readable string that indicates if the field is required by SPT.
| Enabled ()
| Get the human-readable string that indicates if the field is enabled.
| Optional ()
| Get the human-readable string that indicates if the field is optional.
| Editable ()
| Get the human-readable string that indicates if the field is editable.
| Viewable ()
| Get the human-readable string that indicates if the field is viewable.
| AllowMultiple ()
| Get the human-readable string that indicates if multiple field values are permitted.
| IncludeInKeywordSearch ()
| Get the human-readable string that indicates if the field is included in keyword searches.
| IncludeInAdvancedSearch ()
| Get the human-readable string that indicates if the field is included in advanced search options.
| IncludeInSortOptions ()
| Get the human-readable string that indicates if the field is included in sort options.
| IncludeInRecommender ()
| Get the human-readable string that indicates if the field is included in the recommender system.
| TextFieldSize ()
| Get the human-readable size of text field inputs.
| MaxLength ()
| Get the human-readable maximum size of text field values.
| ParagraphRows ()
| Get the human-readable number of rows of paragraph field inputs.
| ParagraphCols ()
| Get the human-readable number of columns of paragraph field inputs.
| MinValue ()
| Get the human-readable minimum value for number fields.
| MaxValue ()
| Get the human-readable maximum value for number fields.
| FlagOnLabel ()
| Get the human-readable flag-on label for flag fields.
| FlagOffLabel ()
| Get the human-readable flag-off label for flag fields.
| DateFormat ()
| Get the human-readable field date format.
| SearchWeight ()
| Get the human-readable search weight of the field.
| RecommenderWeight ()
| Get the human-readable recommender weight of the field.
| MaxHeight ()
| Get the human-readable maximum height of images of image fields.
| MaxWidth ()
| Get the human-readable maximum width of images of image fields.
| MaxPreviewHeight ()
| Get the human-readable maximum height of preview images of image fields.
| MaxPreviewWidth ()
| Get the human-readable maximum width of preview images of image fields.
| MaxThumbnailHeight ()
| Get the human-readable maximum height of thumbnail images of image fields.
| MaxThumbnailWidth ()
| Get the human-readable maximum width of thumbnail images of image fields.
| DefaultAltText ()
| Get the human-readable default alternate text of images of image fields.
| UsesQualifiers ()
| Get the human-readable string indicating if the field uses qualifiers.
| ShowQualifiers ()
| Get the human-readable string indicating if qualifiers are shown for the field.
| DefaultQualifier ()
| Get the human-readable default qualifier of the field.
| AllowHTML ()
| Get the human-readable string indicating if HTML is allowed as the value.
| UseWysiwygEditor ()
| Get the human-readable string indicating if a WYSIWYG editor should be used when editing the field value.
| UseForOaiSets ()
| Get the human-readable string indicating if the field should be used for OAI sets.
| NumAjaxResults ()
| Get the human-readable number of AJAX search results to display for the field.
| ViewingPrivilege ()
| Get the human-readable viewing privilege of the field.
| AuthoringPrivilege ()
| Get the human-readable authoring privilege of the field.
| EditingPrivilege ()
| Get the human-readable editing privilege of the field.
| ImagePreviewPrivilege ()
| Get the human-readable image preview privilege of image fields.
| TreeBrowsingPrivilege ()
| Get the human-readable tree browsing privilege of tree fields.
| EnableOnOwnerReturn ()
| Get the human-readable string indicating if the field should be enabled when the owner/plugin is available.
| ViewingUserIsValue ()
| Get the human-readable viewing user is value of the field.
| AuthoringUserIsValue ()
| Get the human-readable authoring user is value of the field.
| EditingUserIsValue ()
| Get the human-readable editing user is value of the field.
| ViewingUserValue ()
| Get the human-readable viewing user value of the field.
| AuthoringUserValue ()
| Get the human-readable authoring user value of the field.
| EditingUserValue ()
| Get the human-readable editing user value of the field.
| UserPrivilegeRestrictions ()
| Get the human-readable user privilege restrictions of user fields.
| PointPrecision ()
| Get the human-readable point precision of point fields.
| PointDecimalDigits ()
| Get the human-readable point decimal digits of point fields.
| DefaultValue ()
| Get the human-readable default value of the field.
| UpdateMethod ()
| Get the human-readable update method of the field.
| GetPossibleValues ()
| Get the human-readable possible values of the field.
| GetCountOfPossibleValues ()
| Get the human-readable count of possible values of the field.
| HasItemLevelQualifiers ()
| Get the human-readable string that indicates if the field has item-level qualifiers.
| AssociatedQualifierList ()
| Get the human-readable list of associated qualifiers of the field.
| UnassociatedQualifierList ()
| Get the human-readable list of unassociated qualifiers of the field.
| GetViewingPrivilegeString ()
| Get the human-readable viewing privilege string that includes the viewing privilege required, along with the the "user is value ..." setting.
| GetAuthoringPrivilegeString ()
| Get the human-readable authoring privilege string that includes the authoring privilege required, along with the the "user is value ..." setting.
| GetEditingPrivilegeString ()
| Get the human-readable editing privilege string that includes the editing privilege required, along with the the "user is value ..." setting.
| GetNotSetText ()
| Get the text that is used when a value is not set.
| SetNotSetText ($Text)
| Set the text that is used when a value is not set.

## Protected Member Functions
| GetYesNo ($Value)
| Get the human-readable string for a boolean-like value.
| GetValueCheckingLength ($Value)
| Get the value or the not-set text depending on the length of the value.
| GetPrivilegeString ($Mode)
| This method makes getting privilege strings for viewing, authoring, and editing a little more convenient.
| MapPrivilege ($Value)
| Map a privilege value to a privilege name.
| LoadPrivilegeList ()
| Load the static privilege list.
| MapUserIsValue ($Value)
| Map a UserIsValue value to a name.
| MapUserValue ($Value)
| Map a UserValue value to a field display name.
| LoadUserFieldList ()
| Load the static user field list.
| GetArrayValue (array $Array, $Key, $Default=NULL)
| Get the value from an array with a given index or a default value if it does not exist.

## Protected Attributes
| $Field
| $NotSetText = "--"

## Static Protected Attributes
static | $PrivilegeList
static | $UserIsValueList
static | $UserFieldList

## Detailed Description

Given a metadata field, this class prints human-readable values for each value of the field.

Definition at line 7 of file HumanMetadataField.php.

## Constructor & Destructor Documentation

HumanMetadataField::__construct | ( | MetadataField | $Field | ) |

Save the field that will be used to generate the human-readable values.

Parameters

  MetadataField | $Field | metadata field

Definition at line 14 of file HumanMetadataField.php.

References $Field.

## Member Function Documentation

HumanMetadataField::AllowHTML | ( |  | ) |

Get the human-readable string indicating if HTML is allowed as the value.

Returns
  string human-readable string indicating if HTML is allowed as the value

Definition at line 482 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::AllowMultiple | ( |  | ) |

Get the human-readable string that indicates if multiple field values are permitted.

Returns
  string human-readable string indicating if multiple field values are permitted

Definition at line 221 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::AssociatedQualifierList | ( |  | ) |

Get the human-readable list of associated qualifiers of the field.

Returns
  string human-readable list of associated field qualifiers

Definition at line 798 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::AuthoringPrivilege | ( |  | ) |

Get the human-readable authoring privilege of the field.

Returns
  string human-readable field authoring privilege

Definition at line 534 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapPrivilege().

HumanMetadataField::AuthoringUserIsValue | ( |  | ) |

Get the human-readable authoring user is value of the field.

Returns
  string human-readable authoring user is value of the field

Definition at line 600 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserIsValue().

HumanMetadataField::AuthoringUserValue | ( |  | ) |

Get the human-readable authoring user value of the field.

Returns
  string human-readable authoring user value of the field

Definition at line 633 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserValue().

HumanMetadataField::DateFormat | ( |  | ) |

Get the human-readable field date format.

Returns
  string human-readable field date format

Definition at line 346 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::DBFieldName | ( |  | ) |

Get the human-readable database field name of the field.

Returns
  string human-readable database field name

Definition at line 127 of file HumanMetadataField.php.

HumanMetadataField::DefaultAltText | ( |  | ) |

Get the human-readable default alternate text of images of image fields.

Returns
  string human-readable default alternate text of images of image fields

Definition at line 433 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::DefaultQualifier | ( |  | ) |

Get the human-readable default qualifier of the field.

Returns
  string human-readable default qualifier of the field

Definition at line 463 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::DefaultValue | ( |  | ) |

Get the human-readable default value of the field.

Returns
  string human-readable default value of the field

Definition at line 691 of file HumanMetadataField.php.

References $NotSetText, FlagOffLabel(), FlagOnLabel(), GetValueCheckingLength(), MetadataSchema\MDFTYPE_FLAG, MetadataSchema\MDFTYPE_OPTION, and MetadataSchema\MDFTYPE_POINT.

HumanMetadataField::Description | ( |  | ) |

Get the human-readable description of the field.

Returns
  string human-readable field description

Definition at line 136 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::Editable | ( |  | ) |

Get the human-readable string that indicates if the field is editable.

Returns
  string human-readable string indicating if the field is editable

Definition at line 201 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::EditingPrivilege | ( |  | ) |

Get the human-readable editing privilege of the field.

Returns
  string human-readable field editing privilege

Definition at line 545 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapPrivilege().

HumanMetadataField::EditingUserIsValue | ( |  | ) |

Get the human-readable editing user is value of the field.

Returns
  string human-readable editing user is value of the field

Definition at line 611 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserIsValue().

HumanMetadataField::EditingUserValue | ( |  | ) |

Get the human-readable editing user value of the field.

Returns
  string human-readable editing user value of the field

Definition at line 644 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserValue().

HumanMetadataField::Enabled | ( |  | ) |

Get the human-readable string that indicates if the field is enabled.

Returns
  string human-readable string indicating if the field is enabled

Definition at line 183 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::EnableOnOwnerReturn | ( |  | ) |

Get the human-readable string indicating if the field should be enabled when the owner/plugin is available.

Returns
  string human-readable string indicating if the field should be enabled when the owner returns

Definition at line 580 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::FlagOffLabel | ( |  | ) |

Get the human-readable flag-off label for flag fields.

Returns
  string human-readable flag-off label for flag fields

Definition at line 337 of file HumanMetadataField.php.

References GetValueCheckingLength().

Referenced by DefaultValue().

Here is the caller graph for this function:

HumanMetadataField::FlagOnLabel | ( |  | ) |

Get the human-readable flag-on label for flag fields.

Returns
  string human-readable flag-on label for flag fields

Definition at line 328 of file HumanMetadataField.php.

References GetValueCheckingLength().

Referenced by DefaultValue().

Here is the caller graph for this function:

HumanMetadataField::GetAllowedConversionTypes | ( |  | ) |

Get the human-readable allowed conversion types of the field.

Returns
  string human-readable allowed conversion types of the field

Definition at line 97 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::GetArrayValue | ( | array | $Array,
|  |  | $Key,
|  |  | $Default = `NULL`
| ) |  |
| protected

Get the value from an array with a given index or a default value if it does not exist.

Parameters

  array | $Array | array to check
  mixed | $Key | index of the value to retrieve
  mixed | $Default | value to return if the value does not exist (defaults to NULL)

Returns
  mixed the value at the given index or the default value if it doesn't exist

Definition at line 1001 of file HumanMetadataField.php.

Referenced by UpdateMethod().

Here is the caller graph for this function:

HumanMetadataField::GetAuthoringPrivilegeString | ( |  | ) |

Get the human-readable authoring privilege string that includes the authoring privilege required, along with the the "user is value ..." setting.

Returns
  string human-readable authoring privilege string

Definition at line 831 of file HumanMetadataField.php.

References GetPrivilegeString().

HumanMetadataField::GetCountOfPossibleValues | ( |  | ) |

Get the human-readable count of possible values of the field.

This is only meaningful for Tree, ControlledName, Option, Flag, and User fields.

Returns
  string human-readable count of possible values of the field

Definition at line 778 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::GetDisplayName | ( |  | ) |

Get the human-readable display name of the field.

Returns
  string human-readable display name of the field

Definition at line 70 of file HumanMetadataField.php.

HumanMetadataField::GetEditingPrivilegeString | ( |  | ) |

Get the human-readable editing privilege string that includes the editing privilege required, along with the the "user is value ..." setting.

Returns
  string human-readable editing privilege string

Definition at line 841 of file HumanMetadataField.php.

References GetPrivilegeString().

HumanMetadataField::GetNotSetText | ( |  | ) |

Get the text that is used when a value is not set.

Returns
  string text used when a value is not set

Definition at line 850 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::GetPossibleValues | ( |  | ) |

Get the human-readable possible values of the field.

This is only meaningful for Tree, ControlledName, Option, Flag, and User fields.

Returns
  string human-readable possible values of the field

Definition at line 766 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::GetPrivilegeString | ( |  | $Mode | ) |
| protected

This method makes getting privilege strings for viewing, authoring, and editing a little more convenient.

Parameters

  string | $Mode | should be one of "Viewing", "Authoring", or "Editing"

Returns
  string human-readable privilege string

Definition at line 891 of file HumanMetadataField.php.

References MapPrivilege().

Referenced by GetAuthoringPrivilegeString(), GetEditingPrivilegeString(), and GetViewingPrivilegeString().

Here is the caller graph for this function:

HumanMetadataField::GetValueCheckingLength | ( |  | $Value | ) |
| protected

Get the value or the not-set text depending on the length of the value.

Parameters

  string | $Value | value to check

Returns
  string the value if the string length is greater than zero or the not-set text if it is zero

Definition at line 880 of file HumanMetadataField.php.

References $NotSetText.

Referenced by AuthoringPrivilege(), AuthoringUserIsValue(), AuthoringUserValue(), DateFormat(), DefaultAltText(), DefaultValue(), Description(), EditingPrivilege(), EditingUserIsValue(), EditingUserValue(), FlagOffLabel(), FlagOnLabel(), GetCountOfPossibleValues(), ImagePreviewPrivilege(), Instructions(), Label(), MaxHeight(), MaxLength(), MaxPreviewHeight(), MaxPreviewWidth(), MaxThumbnailHeight(), MaxThumbnailWidth(), MaxValue(), MaxWidth(), MinValue(), Owner(), ParagraphCols(), ParagraphRows(), PointDecimalDigits(), PointPrecision(), RecommenderWeight(), SearchWeight(), TextFieldSize(), TreeBrowsingPrivilege(), UpdateMethod(), ViewingPrivilege(), ViewingUserIsValue(), and ViewingUserValue().

Here is the caller graph for this function:

HumanMetadataField::GetViewingPrivilegeString | ( |  | ) |

Get the human-readable viewing privilege string that includes the viewing privilege required, along with the the "user is value ..." setting.

Returns
  string human-readable viewing privilege string

Definition at line 820 of file HumanMetadataField.php.

References GetPrivilegeString().

HumanMetadataField::GetYesNo | ( |  | $Value | ) |
| protected

Get the human-readable string for a boolean-like value.

Parameters

  mixed | $Value | boolean-like value

Returns
  string the human-readable string for the value

Definition at line 869 of file HumanMetadataField.php.

Referenced by AllowHTML(), AllowMultiple(), Editable(), Enabled(), EnableOnOwnerReturn(), HasItemLevelQualifiers(), IncludeInAdvancedSearch(), IncludeInKeywordSearch(), IncludeInRecommender(), IncludeInSortOptions(), IsTempItem(), Optional(), RequiredBySPT(), ShowQualifiers(), UseForOaiSets(), UsesQualifiers(), UseWysiwygEditor(), and Viewable().

Here is the caller graph for this function:

HumanMetadataField::HasItemLevelQualifiers | ( |  | ) |

Get the human-readable string that indicates if the field has item-level qualifiers.

Returns
  string human-readable string indicating if the field has item-level qualifiers

Definition at line 789 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Id | ( |  | ) |

Get the human-readable field ID.

Returns
  string human-readable field ID

Definition at line 118 of file HumanMetadataField.php.

HumanMetadataField::ImagePreviewPrivilege | ( |  | ) |

Get the human-readable image preview privilege of image fields.

Returns
  string human-readable image preview privilege of image fields

Definition at line 556 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapPrivilege().

HumanMetadataField::IncludeInAdvancedSearch | ( |  | ) |

Get the human-readable string that indicates if the field is included in advanced search options.

Returns
  string human-readable string indicating if the field is included in advanced search options

Definition at line 243 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::IncludeInKeywordSearch | ( |  | ) |

Get the human-readable string that indicates if the field is included in keyword searches.

Returns
  string human-readable string indicating if the field is included in keyword searches

Definition at line 232 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::IncludeInRecommender | ( |  | ) |

Get the human-readable string that indicates if the field is included in the recommender system.

Returns
  string human-readable string indicating if the field is included in the recommender system

Definition at line 265 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::IncludeInSortOptions | ( |  | ) |

Get the human-readable string that indicates if the field is included in sort options.

Returns
  string human-readable string indicating if the field is included in sort options

Definition at line 254 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Instructions | ( |  | ) |

Get the human-readable instructions of the field.

Returns
  string human-readable field instructions

Definition at line 150 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::IsTempItem | ( |  | ) |

Get the human-readable string that indicates if the field is a temporary field.

Returns
  string human-readable string indicating if the field is temporary

Definition at line 109 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Label | ( |  | ) |

Get the human-readable label of the field.

Returns
  string human-readable field label

Definition at line 88 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::LoadPrivilegeList | ( |  | ) |
| protected

Load the static privilege list.

Definition at line 941 of file HumanMetadataField.php.

HumanMetadataField::LoadUserFieldList | ( |  | ) |
| protected

Load the static user field list.

Definition at line 976 of file HumanMetadataField.php.

References MetadataSchema\MDFTYPE_USER.

HumanMetadataField::MapPrivilege | ( |  | $Value | ) |
| protected

Map a privilege value to a privilege name.

Parameters

  string | int | $Value | privilege value

Returns
  string privilege name

Definition at line 928 of file HumanMetadataField.php.

Referenced by AuthoringPrivilege(), EditingPrivilege(), GetPrivilegeString(), ImagePreviewPrivilege(), TreeBrowsingPrivilege(), UserPrivilegeRestrictions(), and ViewingPrivilege().

Here is the caller graph for this function:

HumanMetadataField::MapUserIsValue | ( |  | $Value | ) |
| protected

Map a UserIsValue value to a name.

Parameters

  int | $Value | UserIsValue value

Returns
  string UserIsValue name

Definition at line 953 of file HumanMetadataField.php.

Referenced by AuthoringUserIsValue(), EditingUserIsValue(), and ViewingUserIsValue().

Here is the caller graph for this function:

HumanMetadataField::MapUserValue | ( |  | $Value | ) |
| protected

Map a UserValue value to a field display name.

Parameters

  int | $Value | UserValue value

Returns
  string user field display name

Definition at line 963 of file HumanMetadataField.php.

Referenced by AuthoringUserValue(), EditingUserValue(), and ViewingUserValue().

Here is the caller graph for this function:

HumanMetadataField::MaxHeight | ( |  | ) |

Get the human-readable maximum height of images of image fields.

Returns
  string human-readable maximum height of images of image fields

Definition at line 373 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxLength | ( |  | ) |

Get the human-readable maximum size of text field values.

Returns
  string human-readable maximum size of text field values

Definition at line 283 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxPreviewHeight | ( |  | ) |

Get the human-readable maximum height of preview images of image fields.

Returns
  string human-readable maximum height of preview images of image fields

Definition at line 392 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxPreviewWidth | ( |  | ) |

Get the human-readable maximum width of preview images of image fields.

Returns
  string human-readable maximim width of preview images of image fields

Definition at line 402 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxThumbnailHeight | ( |  | ) |

Get the human-readable maximum height of thumbnail images of image fields.

Returns
  string human-readable maximum height of thumbnail images of image fields

Definition at line 413 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxThumbnailWidth | ( |  | ) |

Get the human-readable maximum width of thumbnail images of image fields.

Returns
  string human-readable maximum width of thumbnail images of image fields

Definition at line 423 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxValue | ( |  | ) |

Get the human-readable maximum value for number fields.

Returns
  string human-readable maximum value for number fields

Definition at line 319 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MaxWidth | ( |  | ) |

Get the human-readable maximum width of images of image fields.

Returns
  string human-readable maximum width of images of image fields

Definition at line 382 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::MinValue | ( |  | ) |

Get the human-readable minimum value for number fields.

Returns
  string human-readable minimum value for number fields

Definition at line 310 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::Name | ( |  | ) |

Get the human-readable name of the field.

Returns
  string human-readable field name

Definition at line 79 of file HumanMetadataField.php.

HumanMetadataField::NumAjaxResults | ( |  | ) |

Get the human-readable number of AJAX search results to display for the field.

Returns
  string human-readable number of AJAX search results to display

Definition at line 514 of file HumanMetadataField.php.

HumanMetadataField::Optional | ( |  | ) |

Get the human-readable string that indicates if the field is optional.

Returns
  string human-readable string indicating if the field is optional

Definition at line 192 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Owner | ( |  | ) |

Get the human-readable field owner.

Returns
  string human-readable field owner

Definition at line 164 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::ParagraphCols | ( |  | ) |

Get the human-readable number of columns of paragraph field inputs.

Returns
  string human-readable number of columns of paragraph field inputs

Definition at line 301 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::ParagraphRows | ( |  | ) |

Get the human-readable number of rows of paragraph field inputs.

Returns
  string human-readable number of rows of paragraph field inputs

Definition at line 292 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::PointDecimalDigits | ( |  | ) |

Get the human-readable point decimal digits of point fields.

Returns
  string human-readable point decimal digits of point fields

Definition at line 682 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::PointPrecision | ( |  | ) |

Get the human-readable point precision of point fields.

Returns
  string human-readable point precision of point fields

Definition at line 673 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::RecommenderWeight | ( |  | ) |

Get the human-readable recommender weight of the field.

Returns
  string human-readable field recommender weight

Definition at line 364 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::RequiredBySPT | ( |  | ) |

Get the human-readable string that indicates if the field is required by SPT.

Returns
  string human-readable string indicating if SPT requires the field

Definition at line 174 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::SearchWeight | ( |  | ) |

Get the human-readable search weight of the field.

Returns
  string human-readable field search weight

Definition at line 355 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::SetNotSetText | ( |  | $Text | ) |

Set the text that is used when a value is not set.

Parameters

  string | text to be used when a value is not set

Definition at line 859 of file HumanMetadataField.php.

HumanMetadataField::ShowQualifiers | ( |  | ) |

Get the human-readable string indicating if qualifiers are shown for the field.

Returns
  string human-readable string indicating if qualifiers are shown for the field

Definition at line 454 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Status | ( |  | ) |

Get the human-readable error status of the field.

Returns
  string human-readable error status

Definition at line 23 of file HumanMetadataField.php.

References $NotSetText, MetadataSchema\MDFSTAT_DUPLICATEDBCOLUMN, MetadataSchema\MDFSTAT_DUPLICATELABEL, MetadataSchema\MDFSTAT_DUPLICATENAME, MetadataSchema\MDFSTAT_ERROR, MetadataSchema\MDFSTAT_FIELDDOESNOTEXIST, MetadataSchema\MDFSTAT_ILLEGALLABEL, MetadataSchema\MDFSTAT_ILLEGALNAME, and MetadataSchema\MDFSTAT_OK.

HumanMetadataField::TextFieldSize | ( |  | ) |

Get the human-readable size of text field inputs.

Returns
  string human-readable size of text field inputs

Definition at line 274 of file HumanMetadataField.php.

References GetValueCheckingLength().

HumanMetadataField::TreeBrowsingPrivilege | ( |  | ) |

Get the human-readable tree browsing privilege of tree fields.

Returns
  string human-readable tree browsing privilege of tree fields

Definition at line 567 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapPrivilege().

HumanMetadataField::Type | ( |  | ) |

Get the human-readable field type of the field.

Returns
  string human-readable field type

Definition at line 52 of file HumanMetadataField.php.

References MetadataField\$FieldTypeDBEnums.

HumanMetadataField::TypeAsName | ( |  | ) |

Get the human-readable field type of the field.

Returns
  string human-readable field type

Definition at line 61 of file HumanMetadataField.php.

HumanMetadataField::UnassociatedQualifierList | ( |  | ) |

Get the human-readable list of unassociated qualifiers of the field.

Returns
  string human-readable list of unassociated field qualifiers

Definition at line 808 of file HumanMetadataField.php.

References $NotSetText.

HumanMetadataField::UpdateMethod | ( |  | ) |

Get the human-readable update method of the field.

Returns
  string human-readable update method of the field

Definition at line 753 of file HumanMetadataField.php.

References MetadataField\$UpdateTypes, GetArrayValue(), and GetValueCheckingLength().

HumanMetadataField::UseForOaiSets | ( |  | ) |

Get the human-readable string indicating if the field should be used for OAI sets.

Returns
  string human-readable string indicating if the field should be used for OAI sets

Definition at line 504 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::UserPrivilegeRestrictions | ( |  | ) |

Get the human-readable user privilege restrictions of user fields.

Returns
  string human-readable user privilege restrictions of user fields

Definition at line 655 of file HumanMetadataField.php.

References $NotSetText, and MapPrivilege().

HumanMetadataField::UsesQualifiers | ( |  | ) |

Get the human-readable string indicating if the field uses qualifiers.

Returns
  string human-readable string indicating if the field uses qualifiers

Definition at line 443 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::UseWysiwygEditor | ( |  | ) |

Get the human-readable string indicating if a WYSIWYG editor should be used when editing the field value.

Returns
  string human-readable string indicating if a WYSIWYG editor should be used when editing the field value

Definition at line 493 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::Viewable | ( |  | ) |

Get the human-readable string that indicates if the field is viewable.

Returns
  string human-readable string indicating if the field is viewable

Definition at line 210 of file HumanMetadataField.php.

References GetYesNo().

HumanMetadataField::ViewingPrivilege | ( |  | ) |

Get the human-readable viewing privilege of the field.

Returns
  string human-readable field viewing privilege

Definition at line 523 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapPrivilege().

HumanMetadataField::ViewingUserIsValue | ( |  | ) |

Get the human-readable viewing user is value of the field.

Returns
  string human-readable viewing user is value of the field.

Definition at line 589 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserIsValue().

HumanMetadataField::ViewingUserValue | ( |  | ) |

Get the human-readable viewing user value of the field.

Returns
  string human-readable viewing user value of the field

Definition at line 622 of file HumanMetadataField.php.

References GetValueCheckingLength(), and MapUserValue().

## Member Data Documentation

HumanMetadataField::$Field
| protected

Definition at line 1009 of file HumanMetadataField.php.

Referenced by __construct().

HumanMetadataField::$NotSetText = "--"
| protected

Definition at line 1014 of file HumanMetadataField.php.

Referenced by AssociatedQualifierList(), DefaultQualifier(), DefaultValue(), GetAllowedConversionTypes(), GetNotSetText(), GetPossibleValues(), GetValueCheckingLength(), Status(), UnassociatedQualifierList(), and UserPrivilegeRestrictions().

HumanMetadataField::$PrivilegeList
| static protected

Definition at line 1019 of file HumanMetadataField.php.

HumanMetadataField::$UserFieldList
| static protected

Definition at line 1031 of file HumanMetadataField.php.

HumanMetadataField::$UserIsValueList
| static protected

Initial value:
= array(
MetadataField::USERISVALUE_OR => "or",
MetadataField::USERISVALUE_AND => "and")

Definition at line 1024 of file HumanMetadataField.php.

The documentation for this class was generated from the following file:

- objects/HumanMetadataField.php